import type middy from '@middy/core';
import type { TSchema } from '@sinclair/typebox';
import type { ValueError } from '@sinclair/typebox/errors';
import { ValidationFailedError } from './validateInput.js';
export declare class ResponseValidationFailedError extends ValidationFailedError {
    constructor(errors: ValueError[]);
}
/**
 * Validate responses created with `aResponse`
 */
export declare const validateResponse: <ResponseSchema extends TSchema>(schema: ResponseSchema) => middy.MiddlewareObj;
